org.apache.calcite.avatica.remote

## Class AbstractService

- java.lang.Object
- - org.apache.calcite.avatica.remote.AbstractService

All Implemented Interfaces:
  Service

Direct Known Subclasses:
  JsonService, ProtobufService

    public abstract class AbstractService
    extends Object
    implements Service

A common base class for `Service` implementations that implement modifications made to response objects.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.remote.Service

`Service.Base, Service.CatalogsRequest, Service.CloseConnectionRequest, Service.CloseConnectionResponse, Service.CloseStatementRequest, Service.CloseStatementResponse, Service.ColumnsRequest, Service.CommitRequest, Service.CommitResponse, Service.ConnectionSyncRequest, Service.ConnectionSyncResponse, Service.CreateStatementRequest, Service.CreateStatementResponse, Service.DatabasePropertyRequest, Service.DatabasePropertyResponse, Service.ErrorResponse, Service.ExecuteBatchRequest, Service.ExecuteBatchResponse, Service.ExecuteRequest, Service.ExecuteResponse, Service.Factory, Service.FetchRequest, Service.FetchResponse, Service.OpenConnectionRequest, Service.OpenConnectionResponse, Service.PrepareAndExecuteBatchRequest, Service.PrepareAndExecuteRequest, Service.PrepareRequest, Service.PrepareResponse, Service.Request, Service.Response, Service.ResultSetResponse, Service.RollbackRequest, Service.RollbackResponse, Service.RpcMetadataResponse, Service.SchemasRequest, Service.SyncResultsRequest, Service.SyncResultsResponse, Service.TablesRequest, Service.TableTypesRequest, Service.TypeInfoRequest`

### Constructor Summary

Constructors
Constructor and Description
`AbstractService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setRpcMetadata(Service.RpcMetadataResponse metadata)` Sets server-level metadata for RPCs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.remote.Service

`apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply`

### Constructor Detail

#### AbstractService

    public AbstractService()

### Method Detail

#### setRpcMetadata

    public void setRpcMetadata(Service.RpcMetadataResponse metadata)

Description copied from interface: `Service`
Sets server-level metadata for RPCs. This includes information that is static across all RPCs.

Specified by:
  `setRpcMetadata` in interface `Service`
Parameters:
  `metadata` - The server-level metadata.